Wifi drivers all fail to build [error: ‘IEEE80211_BAND_2GHZ’ undeclared here]

Bug #1595765 reported by vinissa on 2016-06-24
276
This bug affects 55 people
Affects Status Importance Assigned to Milestone
bcmwl (Ubuntu)
High
Unassigned
broadcom-sta (Ubuntu)
High
Unassigned
rtl8812au (Ubuntu)
High
Unassigned

Bug Description

error update for kernel 4.7 RC 3

ProblemType: Package
DistroRelease: elementary 0.4
Package: bcmwl-kernel-source 6.30.223.248+bdcom-0ubuntu8 [origin: Ubuntu]
Uname: Linux 4.6.2-040602-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.20.1-0ubuntu2.1
Architecture: amd64
DKMSKernelVersion: 4.7.0-040700rc3-generic
Date: Thu Jun 23 22:03:59 2016
DuplicateSignature: dkms:bcmwl-kernel-source:6.30.223.248+bdcom-0ubuntu8:/var/lib/dkms/bcmwl/6.30.223.248+bdcom/build/src/wl/sys/wl_cfg80211_hybrid.c:237:12: error: ‘IEEE80211_BAND_2GHZ’ undeclared here (not in a function)
InstallationDate: Installed on 2016-06-14 (9 days ago)
InstallationMedia: elementary OS 0.4 "Loki" - Daily amd64 (20160613)
PackageVersion: 6.30.223.248+bdcom-0ubuntu8
RelatedPackageVersions:
 dpkg 1.18.4ubuntu1.1
 apt 1.2.12~ubuntu16.04.1
SourcePackage: bcmwl
Title: bcmwl-kernel-source 6.30.223.248+bdcom-0ubuntu8: bcmwl kernel module failed to build
UpgradeStatus: No upgrade log present (probably fresh install)

vinissa (viniciusssantos) wrote :
tags: removed: need-duplicate-check
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in bcmwl (Ubuntu):
status: New → Confirmed
Vincent Gerris (vgerris) wrote :

it seems the package is incompatible with the 4.7 kernel, which it's shows when booted in it and trying to reinstall.

there is in issue open here:
https://github.com/longsleep/bcmwl-ubuntu/issues/17

I tried to build that version and after installing I got:
Unpacking bcmwl-kernel-source (6.30.223.271+bdcom-1longsleep0) over (6.30.223.248+bdcom-0ubuntu8) ...
Setting up bcmwl-kernel-source (6.30.223.271+bdcom-1longsleep0) ...
Loading new bcmwl-6.30.223.271+bdcom DKMS files...
Building only for 4.7.0-994-generic
Building for architecture x86_64
Building initial module for 4.7.0-994-generic
ERROR (dkms apport): kernel package linux-headers-4.7.0-994-generic is not supported
Error! Bad return status for module build on kernel: 4.7.0-994-generic (x86_64)
Consult /var/lib/dkms/bcmwl/6.30.223.271+bdcom/build/make.log for more information.
modprobe: FATAL: Module wl not found in directory /lib/modules/4.7.0-994-generic
update-initramfs: deferring update (trigger activated)
Processing triggers for initramfs-tools (0.122ubuntu8.1) ...

there is many errors in the log, probably needs quite some modification.
Feel happy to try and fix it, I really do not have the time at the moment

vinissa (viniciusssantos) wrote :

error updating kernel 4.7 RC 3

Vincent Gerris (vgerris) wrote :

I fixed the issue and submitted a pull request:
https://github.com/longsleep/bcmwl-ubuntu/pull/18
you can find my fork here:
https://github.com/vgerris/bcmwl-ubuntu/
Just follow the instructions and it should work.

Does anyone know where to fix this upstream?
Happy to patch.

Please find the 64 build deb attached for convenience.

Greetings
Vincent

morenobarcelona (gedersons) wrote :

Alguien sabe que debo hacer?Alguém sabe o que eu tenho que fazer?

George0k00 (thelinuxgk) wrote :

What is the current status? Linux 4.7 has been released, and the bug remains, while there hasn't been any activity here for ~25 days.

I fixed the bug but I have issues getting it in place because there is no
official git I can make a pull request for. Will update soon

On Aug 3, 2016 14:05, "George0k00" <email address hidden> wrote:

> What is the current status? Linux 4.7 has been released, and the bug
> remains, while there hasn't been any activity here for ~25 days.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1595765
>
> Title:
> bcmwl-kernel-source 6.30.223.248+bdcom-0ubuntu8: bcmwl kernel module
> failed to build
>
> Status in bcmwl package in Ubuntu:
> Confirmed
>
> Bug description:
> error update for kernel 4.7 RC 3
>
> ProblemType: Package
> DistroRelease: elementary 0.4
> Package: bcmwl-kernel-source 6.30.223.248+bdcom-0ubuntu8 [origin: Ubuntu]
> Uname: Linux 4.6.2-040602-generic x86_64
> NonfreeKernelModules: wl
> ApportVersion: 2.20.1-0ubuntu2.1
> Architecture: amd64
> DKMSKernelVersion: 4.7.0-040700rc3-generic
> Date: Thu Jun 23 22:03:59 2016
> DuplicateSignature:
> dkms:bcmwl-kernel-source:6.30.223.248+bdcom-0ubuntu8:/var/lib/dkms/bcmwl/
> 6.30.223.248+bdcom/build/src/wl/sys/wl_cfg80211_hybrid.c:237:12: error:
> ‘IEEE80211_BAND_2GHZ’ undeclared here (not in a function)
> InstallationDate: Installed on 2016-06-14 (9 days ago)
> InstallationMedia: elementary OS 0.4 "Loki" - Daily amd64 (20160613)
> PackageVersion: 6.30.223.248+bdcom-0ubuntu8
> RelatedPackageVersions:
> dpkg 1.18.4ubuntu1.1
> apt 1.2.12~ubuntu16.04.1
> SourcePackage: bcmwl
> Title: bcmwl-kernel-source 6.30.223.248+bdcom-0ubuntu8: bcmwl kernel
> module failed to build
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/bcmwl/+bug/1595765/+subscriptions
>

ok thanks, I hope it will be fixed before 16.10 is releases because it will use linux 4.8 by default.

RJVB (rjvbertin) wrote :

Has someone reported this issue upstream to
1) Broadcom?
2) the Linux kernel bug tracker, preferably in a section dedicated to Broadcom wireless drivers?

A quick search doesn't show any trace of either. I'm not sure what the kernel/driver people could do, but it wouldn't hurt if they were aware.

Also, does the patched code still build with earlier kernel versions?

Fenyvesi Attila (fattila2) wrote :
Download full text (3.8 KiB)

I have this issue with the 4.8. RC6 upstream kernel (http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.8-rc6/).
I attached /var/lib/dkms/bcmwl/6.30.223.248+bdcom/build/make.log
Command line output:

ata@HPp:~/Letöltések/linux_upstream$ sudo dpkg -i *.deb
[sudo] ata jelszava:
A korábban ki nem választott linux-headers-4.8.0-040800rc6 csomag kiválasztása.
(Adatbázis olvasása ... 392740 fájl és könyvtár van jelenleg telepítve.)
Kibontás előkészítése: linux-headers-4.8.0-040800rc6_4.8.0-040800rc6.201609121119_all.deb ...
Kibontás: linux-headers-4.8.0-040800rc6 (4.8.0-040800rc6.201609121119) ...
A korábban ki nem választott linux-headers-4.8.0-040800rc6-generic csomag kiválasztása.
Kibontás előkészítése: linux-headers-4.8.0-040800rc6-generic_4.8.0-040800rc6.201609121119_amd64.deb ...
Kibontás: linux-headers-4.8.0-040800rc6-generic (4.8.0-040800rc6.201609121119) ...
A korábban ki nem választott linux-image-4.8.0-040800rc6-generic csomag kiválasztása.
Kibontás előkészítése: linux-image-4.8.0-040800rc6-generic_4.8.0-040800rc6.201609121119_amd64.deb ...
Done.
Kibontás: linux-image-4.8.0-040800rc6-generic (4.8.0-040800rc6.201609121119) ...
Beállítás: linux-headers-4.8.0-040800rc6 (4.8.0-040800rc6.201609121119) ...
Beállítás: linux-headers-4.8.0-040800rc6-generic (4.8.0-040800rc6.201609121119) ...
Examining /etc/kernel/header_postinst.d.
run-parts: executing /etc/kernel/header_postinst.d/dkms 4.8.0-040800rc6-generic /boot/vmlinuz-4.8.0-040800rc6-generic
Error! Bad return status for module build on kernel: 4.8.0-040800rc6-generic (x86_64)
Consult /var/lib/dkms/bcmwl/6.30.223.248+bdcom/build/make.log for more information.
Beállítás: linux-image-4.8.0-040800rc6-generic (4.8.0-040800rc6.201609121119) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.8.0-040800rc6-generic /boot/vmlinuz-4.8.0-040800rc6-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.8.0-040800rc6-generic /boot/vmlinuz-4.8.0-040800rc6-generic
ERROR: Cannot create report: [Errno 17] File exists: '/var/crash/bcmwl-kernel-source.0.crash'
Error! Bad return status for module build on kernel: 4.8.0-040800rc6-generic (x86_64)
Consult /var/lib/dkms/bcmwl/6.30.223.248+bdcom/build/make.log for more information.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.8.0-040800rc6-generic /boot/vmlinuz-4.8.0-040800rc6-generic
update-initramfs: Generating /boot/initrd.img-4.8.0-040800rc6-generic
W: Possible missing firmware /lib/firmware/i915/kbl_dmc_ver1_01.bin for module i915
W: Possible missing firmware /lib/firmware/i915/kbl_guc_ver9_14.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_guc_ver8_7.bin for module i915
W: Possible missing firmware /lib/firmware/i915/skl_guc_ver6_1.bin for module i915
run-parts: executing /etc/kernel/postinst.d/pm-utils 4.8.0-040800rc6-generic /boot/vmlinuz-4.8.0-040800rc6-generic
run-parts: executing /etc/kernel/postinst.d/unattended-upgrades 4.8.0-040800rc6-generic /boot/vmlinuz-4.8.0-040800rc6-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 4.8.0-040800rc6-generic /boot/vmlinuz-4.8.0...

Read more...

tags: added: xenial
Changed in bcmwl (Ubuntu):
importance: Undecided → High
summary: bcmwl-kernel-source 6.30.223.248+bdcom-0ubuntu8: bcmwl kernel module
- failed to build
+ failed to build [error: ‘IEEE80211_BAND_2GHZ’ undeclared here]
summary: - bcmwl-kernel-source 6.30.223.248+bdcom-0ubuntu8: bcmwl kernel module
- failed to build [error: ‘IEEE80211_BAND_2GHZ’ undeclared here]
+ Wifi drivers all fail to build [error: ‘IEEE80211_BAND_2GHZ’ undeclared
+ here]
Changed in broadcom-sta (Ubuntu):
importance: Undecided → High
Changed in rtl8812au (Ubuntu):
importance: Undecided → High
Changed in broadcom-sta (Ubuntu):
status: New → Confirmed
Changed in rtl8812au (Ubuntu):
status: New → Confirmed
Jean Carlos (negrotico19) wrote :
Download full text (5.7 KiB)

I saw this bug when I was trying to update my kernetl to v4.8.1

This is all the output I got, 3 errors at all.

$ sudo dpkg -i linux-headers-4.8.1*.deb linux-image-4.8.1*.deb
Selecting previously unselected package linux-headers-4.8.1-040801.
(Reading database ... 276032 files and directories currently installed.)
Preparing to unpack linux-headers-4.8.1-040801_4.8.1-040801.201610071031_all.deb ...
Unpacking linux-headers-4.8.1-040801 (4.8.1-040801.201610071031) ...
Selecting previously unselected package linux-headers-4.8.1-040801-generic.
Preparing to unpack linux-headers-4.8.1-040801-generic_4.8.1-040801.201610071031_amd64.deb ...
Unpacking linux-headers-4.8.1-040801-generic (4.8.1-040801.201610071031) ...
Selecting previously unselected package linux-image-4.8.1-040801-generic.
Preparing to unpack linux-image-4.8.1-040801-generic_4.8.1-040801.201610071031_amd64.deb ...
Examining /etc/kernel/preinst.d/
run-parts: executing /etc/kernel/preinst.d/intel-microcode 4.8.1-040801-generic /boot/vmlinuz-4.8.1-040801-generic
Done.
Unpacking linux-image-4.8.1-040801-generic (4.8.1-040801.201610071031) ...
Setting up linux-headers-4.8.1-040801 (4.8.1-040801.201610071031) ...
Setting up linux-headers-4.8.1-040801-generic (4.8.1-040801.201610071031) ...
Examining /etc/kernel/header_postinst.d.
run-parts: executing /etc/kernel/header_postinst.d/dkms 4.8.1-040801-generic /boot/vmlinuz-4.8.1-040801-generic
Error! Bad return status for module build on kernel: 4.8.1-040801-generic (x86_64)
Consult /var/lib/dkms/bcmwl/6.30.223.248+bdcom/build/make.log for more information.
Error! Bad return status for module build on kernel: 4.8.1-040801-generic (x86_64)
Consult /var/lib/dkms/virtualbox/5.0.24/build/make.log for more information.
Setting up linux-image-4.8.1-040801-generic (4.8.1-040801.201610071031) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.8.1-040801-generic /boot/vmlinuz-4.8.1-040801-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.8.1-040801-generic /boot/vmlinuz-4.8.1-040801-generic
ERROR: Cannot create report: [Errno 17] File exists: '/var/crash/bcmwl-kernel-source.0.crash'
Error! Bad return status for module build on kernel: 4.8.1-040801-generic (x86_64)
Consult /var/lib/dkms/bcmwl/6.30.223.248+bdcom/build/make.log for more information.

ERROR: Cannot create report: [Errno 17] File exists: '/var/crash/virtualbox-dkms.0.crash'
Error! Bad return status for module build on kernel: 4.8.1-040801-generic (x86_64)
Consult /var/lib/dkms/virtualbox/5.0.24/build/make.log for more information.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.8.1-040801-generic /boot/vmlinuz-4.8.1-040801-generic
update-initramfs: Generating /boot/initrd.img-4.8.1-040801-generic
W: Possible missing firmware /lib/firmware/i915/kbl_dmc_ver1_01.bin for module i915
W: Possible missing firmware /lib/firmware/i915/kbl_guc_ver9_14.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_guc_ver8_7.bin for module i915
W: Possible missing firmware /lib/firmware/i915/skl_guc_ver6_1.bin for module i915
run-parts: exe...

Read more...

I installed kernel 4.8.6 and it's working normally for me

Vincent Gerris (vgerris) wrote :

It worked for me on 4.8.10. Try this deb built by canonical :
https://launchpad.net/ubuntu/zesty/amd64/bcmwl-kernel-source/6.30.223.248+bdcom-0ubuntu11

I encountered this bug after installing linux-generic-hwe-16.04-edge on Ubuntu 16.04 LTS.

Installing the deb suggested by vgerris in comment #14 fixed the problem. The bcmwl kernel module built successfully for both the 16.04.1 kernel (kernel-4.4.0-53-generic-x86_64) and the HWE kernel (linux-generic-hwe-16.04-edge - kernel-4.8.0-30-generic-x86_64). Wireless connectivity with the new module works as before for both kernels. No issues noted after around 6 hours of use.

I recommend the fixed version of the bcmwl-kernel-source be backported to xenial since it seems to work well with both the stock kernel and the LTS enablement kernel. Alternatively, to avoid destabilizing existing LTS systems, release the updated version as part of the 16.04 HWE enablement stack. The 16.04.2 point release comes out not long from now and wireless should work with the updated kernel that will ship with it.

RJVB (rjvbertin) wrote :

I have backported the august 42016 release (6.30.223.248+bdcom-0ubuntu9) to Trusty, and that source builds and works fine with the 4.7.2 stock kernel.

It also builds fine with 4.8.15 stock kernel. However, I get an oops when wl.ko is loaded, not in the bcmwl driver itself but in the cfg80211 driver, a null ptr dereference as far as I can see.

Does the fix discussed here address that issue too, or is that related to something else?

I see that wl.ko is being loaded on another laptop with an Intel wireless board, and there I'm not seeing any kernel oopses. Neither in cfg80211 which is also used by the iwl drivers.

JaSauders (jasauders) wrote :

I installed 4.8 hwe edge from the repositories on my 16.04 system (Macbook Pro with Broadcom 4331 card). I lost wireless.

I rebooted, made sure I was up to date, etc etc. Nothing in 4.8 would work. Anything 4.4.x would work fine though.

I received an error when installing via terminal much like the error in the original post. This gave me a lead which ultimately lead me here. Installing via GUI (system settings >> software and updates >> additional drivers) did not yield any sort of error.

In the end, nothing worked with getting wifi working again on 16.04.1 + BCM4331 + HWE Edge Kernel 4.8 -- until I downloaded the .deb Vincent linked in post 14 above. I was skeptical to try it as the version numbers of the .deb seemed to match what was in the repos when I searched Synaptic, but alas, I tried it. Immediately I reconnected to wifi on my 5ghz network. I installed it via dpkg -i in terminal, and the output looked cleaner.

Given I tried installing the 4.8 hwe edge kernel here on February 2nd and ran into this problem... yet 16.04.2 is due out within days... I raise the difficult question and can't help but to wonder if things are "ready". Otherwise I would anticipate an additional flurry of reported issues coming in relating to this topic.

Kwang Moo Yi (kwang-m-yi) wrote :

@JaSauders: Their is a fix regarding the kernel 4.8 compatibility in the xenial-proposed repo. It just have not hit stable yet. The version that is compatible with 4.8 (hwe) kernel would be 6.30.223.271+bdcom-0ubuntu1~1.1

iMac (imac-netstatz) wrote :

Can the maintainers please have a look at the following for rtl8812au 4.3.20,

https://github.com/diederikdehaas/rtl8812AU/tree/driver-4.3.20

It is working on my Ubuntu 16.10 and resolves the build issues with the current 4.3.14 dkms source.

root@dottodesk:/usr/src# uname -a
Linux dottodesk 4.8.0-42-generic #45-Ubuntu SMP Wed Mar 8 20:06:06 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

My device works fine with a quick
root@dottodesk:/usr/src# modprobe cfg80211
root@dottodesk:/usr/src# modprobe 8812au

[427821.372227] RTL871X: module init start
[427821.372228] RTL871X: rtl8812au v4.3.20_16317.20160108
[427821.458209] RTL871X: rtw_ndev_init(wlan0) if1 mac_addr=24:05:0f:9e:83:76
[427821.458411] usbcore: registered new interface driver rtl8812au
[427821.458412] RTL871X: module init ret=0
[427821.462679] rtl8812au 3-12:1.0 wlx24050f9e8376: renamed from wlan0
[427821.530598] IPv6: ADDRCONF(NETDEV_UP): wlx24050f9e8376: link is not ready
[427821.917526] IPv6: ADDRCONF(NETDEV_UP): wlx24050f9e8376: link is not ready
[427821.969946] IPv6: ADDRCONF(NETDEV_UP): wlx24050f9e8376: link is not ready
[427824.223886] RTL871X: nolinked power save enter
[427824.629043] RTL871X: nolinked power save leave
[427826.880306] RTL871X: rtw_set_802_11_connect(wlx24050f9e8376) fw_state=0x00000008
[427835.590301] RTL871X: rtw_set_802_11_connect(wlx24050f9e8376) fw_state=0x00000008
[427837.807465] RTL871X: start auth
[427837.810252] RTL871X: auth success, start assoc
[427837.812764] RTL871X: rtw_cfg80211_indicate_connect(wlx24050f9e8376) BSS not found !!
[427837.812777] RTL871X: assoc success
[427837.813382] IPv6: ADDRCONF(NETDEV_CHANGE): wlx24050f9e8376: link becomes ready
[427837.815506] RTL871X: recv eapol packet
[427837.815623] RTL871X: send eapol packet
[427837.818466] RTL871X: recv eapol packet
[427837.818535] RTL871X: send eapol packet
[427837.818967] RTL871X: set pairwise key camid:4, addr:60:e3:27:2f:16:30, kid:0, type:AES
[427837.819803] RTL871X: set group key camid:5, addr:60:e3:27:2f:16:30, kid:1, type:AES
[427863.277967] RTL871X: recv eapol packet
[427863.278232] RTL871X: set group key camid:6, addr:60:e3:27:2f:16:30, kid:2, type:AES
[427863.278234] RTL871X: send eapol packet
[427950.466209] RTL871X: nolinked power save enter
[427951.404732] RTL871X: nolinked power save leave
[427953.674222] RTL871X: nolinked power save enter
[427974.412409] RTL871X: nolinked power save leave
[427976.673020] RTL871X: nolinked power save enter
[428007.414333] RTL871X: nolinked power save leave
[428009.678280] RTL871X: nolinked power save enter
[428050.444797] RTL871X: nolinked power save leave
[428052.706589] RTL871X: nolinked power save enter

root@dottodesk:/usr/src# dkms status
rtl8812AU, 4.3.20, 4.8.0-42-generic, x86_64: installed
rtl8812au, 4.3.8.12175.20140902+dfsg: added

Thanks iMac (imac-netstatz). I just installed the drivers from the github repo on 17.04 and it works.

Daniel van Vugt (vanvugt) wrote :

Best I can tell there are no dedicated "maintainers" of wifi drivers. Just some people occasionally step in and provide fixes (and those people also work on many other things).

So... if anyone has the time, please step up and take ownership. Instructions for getting fixes into Ubuntu are here: https://wiki.ubuntu.com/StableReleaseUpdates

Glenn Burkhardt (gbburkhardt) wrote :

Same problem with rtl8812au-dkms_4.3.8.12175.20140902+dfsg-0ubuntu4_all.deb and 4.8.0-49 kernel.

Glenn Burkhardt (gbburkhardt) wrote :

The code referenced in comment #19 worked for me. Device is a Netis WF2190.

LSB Version: core-9.20160110ubuntu0.2-amd64:core-9.20160110ubuntu0.2-noarch:printing-9.20160110ubuntu0.2-amd64:printing-9.20160110ubuntu0.2-noarch:security-9.20160110ubuntu0.2-amd64:security-9.20160110ubuntu0.2-noarch
Distributor ID: Ubuntu
Description: Ubuntu 16.04.2 LTS
Release: 16.04
Codename: xenial

Linux version 4.8.0-49-generic (buildd@lcy01-26) (gcc version 5.4.0 20160609 (Ubuntu 5.4.0-6ubuntu1~16.04.4) ) #52~16.04.1-Ubuntu SMP Thu Apr 20 10:55:59 UTC 2017

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers